Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I'm trying to install php-devel on my CentOS 6.3 VPS and get a failed dependencies test. From phpinfos(): SYSTEM Linux 2.6.32-279.5.2.el6.x86_64 #1 x86_64 NTS

error: Failed dependencies:

  • php(x86-64) = 5.4.6-1.el6.remi is needed by php-devel-5.4.6-1.el6.remi.x86_64

I've tried the following RPM packages:

  • php54w-devel-5.4.6-1.w6.x86_64.rpm
  • php-devel-5.4.6-1.el6.remi.i686.rpm
  • php-devel-5.4.6-1.el6.remi.x86_64.rpm

One of the above package gave me this:

root@sv1 [/tmp]# rpm -Uvh php-devel-5.4.6-1.el6.remi.i686.rpm
warning: php-devel-5.4.6-1.el6.remi.i686.rpm: Header V3 DSA/SHA1 Signature, key ID 00f97f56: NOKEY
error: Failed dependencies:
        php(x86-32) = 5.4.6-1.el6.remi is needed by php-devel-5.4.6-1.el6.remi.i686
        libbz2.so.1 is needed by php-devel-5.4.6-1.el6.remi.i686
        libcom_err.so.2 is needed by php-devel-5.4.6-1.el6.remi.i686
        libcrypto.so.10 is needed by php-devel-5.4.6-1.el6.remi.i686
        libedit.so.0 is needed by php-devel-5.4.6-1.el6.remi.i686
        libgmp.so.3 is needed by php-devel-5.4.6-1.el6.remi.i686
        libgssapi_krb5.so.2 is needed by php-devel-5.4.6-1.el6.remi.i686
        libk5crypto.so.3 is needed by php-devel-5.4.6-1.el6.remi.i686
        libkrb5.so.3 is needed by php-devel-5.4.6-1.el6.remi.i686
        libncurses.so.5 is needed by php-devel-5.4.6-1.el6.remi.i686
        libssl.so.10 is needed by php-devel-5.4.6-1.el6.remi.i686
        libstdc++.so.6 is needed by php-devel-5.4.6-1.el6.remi.i686
        libxml2.so.2 is needed by php-devel-5.4.6-1.el6.remi.i686
        libxml2.so.2(LIBXML2_2.4.30) is needed by php-devel-5.4.6-1.el6.remi.i686
        libxml2.so.2(LIBXML2_2.5.2) is needed by php-devel-5.4.6-1.el6.remi.i686
        libxml2.so.2(LIBXML2_2.6.0) is needed by php-devel-5.4.6-1.el6.remi.i686
        libxml2.so.2(LIBXML2_2.6.11) is needed by php-devel-5.4.6-1.el6.remi.i686
        libxml2.so.2(LIBXML2_2.6.5) is needed by php-devel-5.4.6-1.el6.remi.i686
        libz.so.1 is needed by php-devel-5.4.6-1.el6.remi.i686

I don't know how to fix this error and download all the dependencies. Thank you.

Edit 1 (for quanta): Here is "yum repolist":

root@sv1 [/tmp]# yum repolist
Loaded plugins: fastestmirror, presto
Loading mirror speeds from cached hostfile
 * base: mirror.atlanticmetro.net
 * epel: mirror.cogentco.com
 * extras: mirror.atlanticmetro.net
 * rpmforge: mirror.us.leaseweb.net
 * updates: centos.mirror.choopa.net
repo id                          repo name                                                              status
base                             CentOS-6 - Base                                                          5,980+366
epel                             Extra Packages for Enterprise Linux 6 - x86_64                         6,493+1,272
extras                           CentOS-6 - Extras                                                                4
rpmforge                         RHEL 6 - RPMforge.net - dag                                            2,123+2,310
updates                          CentOS-6 - Updates                                                          499+29
repolist: 15,099
root@sv1 [/tmp]#

rpm -qa | grep php didn't return any result. I forgot to mention I'm using cPanel/WHM

Edit 2 after adding the Remi repo:

>root@sv1 [/etc/yum.repos.d]# yum clean all
Loaded plugins: fastestmirror, presto
Cleaning repos: base epel extras remi remi-test rpmforge updates
Cleaning up Everything
Cleaning up list of fastest mirrors
1 delta-package files removed, by presto

>root@sv1 [/etc/yum.repos.d]# yum repolist
Loaded plugins: fastestmirror, presto
Determining fastest mirrors
epel/metalink                                                                                |  12 kB     00:00
 * base: centos.mirror.nac.net
 * epel: mirror.symnds.com
 * extras: centos.mirror.choopa.net
 * remi: remi-mirror.dedipower.com
 * remi-test: remi-mirror.dedipower.com
 * rpmforge: mirror.us.leaseweb.net
 * updates: centos.mirror.nac.net
base                                                                                         | 3.7 kB     00:00
base/primary_db                                                                              | 4.5 MB     00:00
epel                                                                                         | 4.3 kB     00:00
epel/primary_db                                                                              | 4.7 MB     00:00
extras                                                                                       | 3.0 kB     00:00
extras/primary_db                                                                            | 6.3 kB     00:00
remi                                                                                         | 2.9 kB     00:00
remi/primary_db                                                                              | 330 kB     00:00
remi-test                                                                                    | 2.9 kB     00:00
remi-test/primary_db                                                                         |  85 kB     00:00
rpmforge                                                                                     | 1.9 kB     00:00
rpmforge/primary_db                                                                          | 2.5 MB     00:00
updates                                                                                      | 3.5 kB     00:00
updates/primary_db                                                                           | 2.3 MB     00:00
repo id                      repo name                                                                   status
base                         CentOS-6 - Base                                                               5,980+366
epel                         Extra Packages for Enterprise Linux 6 - x86_64                              6,493+1,272
extras                       CentOS-6 - Extras                                                                     4
remi                         Les RPM de remi pour Enterprise Linux 6 - x86_64                                 96+564
remi-test                    Les RPM de remi en test pour Enterprise Linux 6 - x86_64                         25+139
rpmforge                     RHEL 6 - RPMforge.net - dag                                                 2,123+2,310
updates                      CentOS-6 - Updates                                                               499+29
repolist: 15,220

>root@sv1 [/etc/yum.repos.d]# yum install php-devel
Loaded plugins: fastestmirror, presto
Loading mirror speeds from cached hostfile
 * base: centos.mirror.nac.net
 * epel: mirror.symnds.com
 * extras: centos.mirror.choopa.net
 * remi: remi-mirror.dedipower.com
 * remi-test: remi-mirror.dedipower.com
 * rpmforge: mirror.us.leaseweb.net
 * updates: centos.mirror.nac.net
Setting up Install Process
No package php-devel available.
Error: Nothing to do

>root@sv1 [/etc/yum.repos.d]#
share|improve this question
1  
yum repolist? rpm -qa | grep php? –  quanta Sep 10 '12 at 5:09
    
Done, see edited post :) second command didn't return any result. –  Jeremy Dicaire Sep 10 '12 at 5:13
1  
yum install php-devel? –  quanta Sep 10 '12 at 5:15
    
Thumbs up! :P Package not found, already tried. –  Jeremy Dicaire Sep 10 '12 at 5:16
    
cat /etc/yum.conf? –  quanta Sep 10 '12 at 6:21

4 Answers 4

up vote 2 down vote accepted

You seem to be trying to install packages from the remi repository (and remi-test for PHP 5.4) but the repository isn't enabled or not present on your system.

If you haven't already installed the remi repository, do that now by installing the appropriate remi-release package.

Then you need to edit /etc/yum.repos.d/remi.repo and change enabled=0 to enabled=1 for the repositories you wish to use. For PHP 5.4 on EL 6, you must enable both remi and remi-test.

You also need to have the EPEL repository installed in order to use remi, though it seems you already have that one.

share|improve this answer
    
I have downloaded the rpm file on rpm.pbone.net/index.php3/stat/3/srodzaj/1/search/php-devel. Thaks for your answer, but i's not working. Still got the same message "No package php-devel available." :( (Cache is up to date) –  Jeremy Dicaire Sep 10 '12 at 5:28
1  
You need to both install and enable the remi and remi-test repositories. Then run yum clean all and then update yum repolist in your question. –  Michael Hampton Sep 10 '12 at 5:31
    
Sorry, post updated. :) –  Jeremy Dicaire Sep 10 '12 at 5:36
    
Hm, I see your update. Something is very broken on your system, and I admit I'm not quite sure what it is. –  Michael Hampton Sep 10 '12 at 5:37
1  
yum should be finding the package, since it's in the repository. That it doesn't seem to be finding any packages is worrying. How many months has it been since you successfully yum upgraded? –  Michael Hampton Sep 10 '12 at 5:47

Check your yum.conf to see if there is an exclude argument, eg.:

exclude=apache* httpd* mod_* mysql* MySQL* da_* *ftp* exim* sendmail* bind-chroot*

This is sometimes set by default when using for example DirectAdmin or other control panel apps.

share|improve this answer
    
Saved me hours of searches! Perfect. –  Shai Mishali Sep 2 at 14:47

You need to recompile cpanel using /scripts/easyapache in order to enable extra modules/extensions.

share|improve this answer

I have opened a ticket with my VPS provider and cPanel. No update for now. Answer above accepted because it is the normal way to do it. My server is just crazy :)

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.